---
title: TouchList
slug: Web/API/TouchList
tags:
  - API
  - DOM
  - DOM Reference
  - Mobile
  - Reference
  - Touch Event
  - TouchList
  - touch
---
<p>{{APIRef("Touch Events")}}</p>

<p>The <strong><code>TouchList</code></strong> interface represents a list of contact points on a touch surface. For example, if the user has three fingers on the touch surface (such as a screen or trackpad), the corresponding <code>TouchList</code> object would have one {{domxref("Touch")}} object for each finger, for a total of three entries.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("TouchList.length")}} {{readonlyInline}}</dt>
 <dd>The number of {{domxref("Touch")}} objects in the <code>TouchList</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("TouchList.identifiedTouch()")}} {{obsolete_inline}}</dt>
 <dd>Returns the first {{domxref("Touch")}} item in the list whose identifier matches a specified value.</dd>
 <dt>{{domxref("TouchList.item()")}}</dt>
 <dd>Returns the {{domxref("Touch")}} object at the specified index in the list.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>See the <a href="/en-US/docs/Web/API/Touch_events#Example">example on the main Touch events article</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Touch Events 2','#touchlist-interface')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#touchlist-interface')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchList")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Touch_events">Touch events</a></li>
 <li>{{domxref("Document.createTouchList()")}}</li>
</ul>
